#include <bits/stdc++.h>
using namespace std;
const int mod=1e9+7;
int main()
{
    int n;
    scanf("%i",&n);
    int x[n+1],y[n+1];
    int res[n+1]={0};
    //int xmn=1e5+50,xmaks=-1e5-50,ymn=1e5+50,ymaks=-1e5-50;
    vector<int>X;
    vector<int>Y;
    for(int i=1;i<=n;i++)
    {
        scanf("%i%i",&x[i],&y[i]);
        X.push_back(x[i]);
        Y.push_back(y[i]);
        for(int j=0;j<i;j++)
        {
            for(int k=0;k<i;k++)
            {
                int temp=0;
                for(int l=1;l<=i;l++)
                {
                    temp+=abs((X[j]-x[l])*(Y[k]-y[l]));
                }
                res[i]=max(res[i],temp);
            }
        }
        res[i]%=mod;
    }
    for(int i=1;i<=n;i++)
    {
        printf("%i\n",res[i]);
    }
    return 0;
}